<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site will use a
 * different template.
 *
 * @package wp-clf-lite
 */

$site_option_show_on_front 	= get_option( 'show_on_front' );

$start_path = trailingslashit( dirname( __FILE__ ) ) . 'template-parts';
$listing_templ = 'content-course-listing-section.php';

get_header();

?>

	<div id="primary" <?php WP_CLF_Lite_Content_Classes::primary_content_class(); ?> >
		<main id="main" <?php WP_CLF_Lite_Content_Classes::main_content_class(); ?> >

			<?php if ( defined( 'UBC_PRESS_VERSION' ) && 'sections' === $site_option_show_on_front ) : ?>

			<div class="entry-content">

				<?php \UBC\Helpers::locate_template_part_in_plugin( $start_path, $listing_templ, true, false ); ?>

			</div><!-- .entry-content -->

			<?php else : ?>

					<?php while ( have_posts() ) : the_post(); ?>

						<?php get_template_part( 'template-parts/content' ); ?>

						<?php
						// If comments are open or we have at least one comment, load up the comment template.
						if ( comments_open() || get_comments_number() ) :
							comments_template();
						endif;
						?>

					<?php endwhile; // End of the loop. ?>

					<?php wp_clf_lite_pagination(); ?>

			<?php endif; ?>
		</main><!-- #main -->
	</div><!-- #primary -->

<?php get_footer(); ?>
