<?php
/**
 * Add image sizes to theme
 *
 * @since 0.1.17
 *
 */

class UBC_CLF_CDN_Support {

	public $cdn_path = 'https://cdn.ubc.ca/clf';
	public $cdn_ver  = '7.0.5';
	public $cdn_css;
	public $cdn_js;
	public $cdn_img;
	public $cdn_ref; // Redirect path

	/**
	 * Set up filter hooks for main html tag classes
	 *
	 * @since 1.0.0
	 *
	 */
	public function init() {

		$this->cdn_img = $this->cdn_path.'/'.$this->cdn_ver.'/img';
		add_action( 'wp_head', array( $this, 'get_ubc_favicons_from_ubc_cdn' ) );

	}


	public function get_ubc_favicons_from_ubc_cdn() {

		?>

		<link rel="shortcut icon" href="<?php echo esc_url( $this->cdn_img ); ?>/favicon.ico">
		<link rel="apple-touch-icon-precomposed" sizes="144x144" href="<?php echo esc_url( $this->cdn_img ); ?>/apple-touch-icon-144-precomposed.png">
		<link rel="apple-touch-icon-precomposed" sizes="114x114" href="<?php echo esc_url( $this->cdn_img ); ?>/apple-touch-icon-114-precomposed.png">
		<link rel="apple-touch-icon-precomposed" sizes="72x72" href="<?php echo esc_url( $this->cdn_img ); ?>/apple-touch-icon-72-precomposed.png">
		<link rel="apple-touch-icon-precomposed" href="<?php echo esc_url( $this->cdn_img ); ?>/apple-touch-icon-57-precomposed.png">

		<?php

	}

}

// Initialize our child theme changes.
add_action( 'after_setup_theme', 'after_setup_theme_ubc_clf_support_class_hooks_init', 15 );


/**
 * Initialize the UBC_CLF_Lite_Customizer class on after_setup_theme so we're
 * up and running AFTER the parent theme (priority 15)
 *
 * @since 1.0.0
 *
 * @param null
 * @return null
 */

function after_setup_theme_ubc_clf_support_class_hooks_init() {

	$UBC_CLF_Support = new UBC_CLF_CDN_Support();
	$UBC_CLF_Support->init();

}/* after_setup_theme_ubc_clf_lite_theme_support_class_hooks_init() */
