<?php
/**
 * If a sub-section contains a handout, it goes into the handouts tab in the sidebar.
 * This template is loaded for each handout found for the currently displaying subsection
 *
 * @since 1.0.0
 * @package WordPress
 */

$data 				= get_query_var( 'template_data' );
$title 				= $data['title'];
$description	= $data['fields']['fields']['_handout_details_description'];
$files 				= $data['fields']['fields']['_handout_details_file_list'];

$display = apply_filters( 'wp_clf_lite_display_handout_list_item', null, get_the_ID() );

if ( null !== $display ) {
	return;
}

?>

<aside class="section-handouts">
	<section class="callout">
		<header>
			<h2 class="handout-title">
				<svg aria-hidden="true" class="ui-icon menu-icon"><use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="#download"></use></svg> Downloads
			</h2>
		</header>
		<?php if ( ! empty( $title ) ) : ?>
			<p class="single-handout-title"><strong><?php echo esc_html( $title ); ?></strong></p>
		<?php endif; ?>
		<?php if ( ! empty( $description ) ) : ?>
			<p><?php echo wp_kses_post( $description ); ?></p>
		<?php endif; ?>
		<ul class="no-bullet">
		<?php foreach ( $files as $id => $url ) : ?>
			<li><a target="_blank" href="<?php echo esc_url( $url ); ?>" title=""><small><?php echo esc_html( basename( $url ) ); ?></small></a></li>
		<?php endforeach; ?>
		</ul>
	</section>
</aside>
